Skip to main content
POST
/
alerts
/
{alertId}
/
acknowledgment
/
upload-url
Get a presigned URL for uploading an acknowledgment
curl --request POST \
  --url https://api.artu.ai/alerts/{alertId}/acknowledgment/upload-url \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "contentType": "<string>"
}
'
{
  "url": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

alertId
string<uuid>
required

Body

application/json
contentType
string
required

MIME content type of the file

Minimum string length: 1

Response

200 - application/json

OK

url
string<uri>
required

Presigned upload URL

expiresAt
string<date-time>
required

Expires At